Jump to content
Sign in to follow this  
Guest Leelanau

Problems with the Mac install

Recommended Posts

Guest Leelanau

So I have tried and tried, but the crossmod banter pack won't install for me. Every bleeding time I've run Setup-CrossmodBG2.command, this is what I get:

 

Installing [Crossmod Banter Pack for Shadows of Amn]

Checking for forbidden files ...

Appending to files ...

Appending to files ...

Appending to files ...

Stopping installation because of error.

Stopping installation because of error.

 

ERROR Installing [Crossmod Banter Pack for Shadows of Amn], rolling back to previous state

ERROR: error loading [CrossmodBG2\Backup/0/UNINSTALL.0]

Error Uninstalling [sETUP-CROSSMODBG2.TP2] component 0:

Unix.Unix_error(20, "stat", "CrossmodBG2\\Backup/0/UNINSTALL.0")

ERROR: Sys_error("CrossmodBG2\\Backup/0/interdia.2da: No such file or directory")

 

I see many things that can be wrong with this, but... I'll leave it up to you guys. I've tried replacing mine with other copies, but to no avail. This sucks. (My Kivan and Solaufein are ignoring each other. ;) ) Oh, and if this means anything to you- I have the BG2 Tweaks and Fixpack installed, as well as Kelsey, Keto, and UB (it's certainly filled with mods, heh).

Share this post


Link to post

Can you tell me which WeiDU version is it running? It should be stated in the SETUP-CROSSMODBG2.DEBUG file. If it's less than 191, try overwriting the setup-crossmodbg2 executable in your BG2 directory (the one not ending in .command) with WeiDU/weidu-mac from http://www.weidu.org/~thebigg/WeiDU-Mac-199.zip.

 

If that doesn't fix it (or you're already running 191 or later), please tell me.

 

(everybody, don't tell him the obvious problem, I need to know if I forgot to address that in WeiDU or not)

Share this post


Link to post
Guest Leelanau
Can you tell me which WeiDU version is it running? It should be stated in the SETUP-CROSSMODBG2.DEBUG file. If it's less than 191, try overwriting the setup-crossmodbg2 executable in your BG2 directory (the one not ending in .command) with WeiDU/weidu-mac from http://www.weidu.org/~thebigg/WeiDU-Mac-199.zip.

 

If that doesn't fix it (or you're already running 191 or later), please tell me.

 

(everybody, don't tell him the obvious problem, I need to know if I forgot to address that in WeiDU or not)

It was running v185- having updated it, it works! Thanks!

Share this post


Link to post

OK, no problem.

 

For all those interested, the problem was that there is a '\' sign in the BACKUP line, which should have been a '/' instead for OSX/Linux compatibility. Newer WeiDUs would silently translate that with the correct '/', so I was afraid I forgot to fix the code in one spot.

Share this post


Link to post
Guest Guest
OK, no problem.

 

For all those interested, the problem was that there is a '\' sign in the BACKUP line, which should have been a '/' instead for OSX/Linux compatibility. Newer WeiDUs would silently translate that with the correct '/', so I was afraid I forgot to fix the code in one spot.

Funny thing, though, that's what I figured it to be. I just wasn't sure how to fix it- I was like a mad little dog scouring the tp2 file, 'cause my text editing program opens it nicely.

Share this post


Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...